Forum Xamarin.Android

Announcement:

The Xamarin Forums have officially moved to the new Microsoft Q&A experience. Microsoft Q&A is the home for technical questions and answers at across all products at Microsoft now including Xamarin!

To create new threads and ask questions head over to Microsoft Q&A for .NET and get involved today.

App not compatible with your devices - why?

stevenwiessnerstevenwiessner DEMember
edited July 2016 in Xamarin.Android

hello out there,

i have written an android app with xamarin android in visual studio and compiled a release build for android 4.1 and higher. testing directly in my devices is no problem.

after building an apk and uploading it in the play store for a beta test, it says: "app not compatible with your devices". i am pretty sure, that my test devices are not the problem. what could it be??

any ideas? thanks for your help...

best regards from germany,
steven

app.jpg 16.8K

Best Answer

Answers

  • stevenwiessnerstevenwiessner DEMember

    here is my manifest file

    <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="mypackage.com" android:versionCode="1" android:versionName="1.1" android:installLocation="auto"> <uses-sdk android:minSdkVersion="14" /> <uses-permission android:name="android.permission.WAKE_LOCK" /> <application android:label="alone" android:icon="@drawable/Icon"></application> </manifest>

  • Have you tried to install the generated APK (the one that you uploaded to Google Play) directly into your device to see if it works?

    And do you know if you have excluded any devices from your google play account? To verify this go to your Google Play Developer Console and select your app. In the left menu select APK and verify in your Current APK area if there is any excluded device. Also check if your devices are in the compatible devices area.

    Here is the link to learn how to manage the compatible devices

  • SalaniklySalanikly Member

    hi , please note that I develop my application and finish developing but the problem that in Play Store I'm not able to install because it's not compatible

Sign In or Register to comment.